[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: XULRunner in rawhide



Mamoru Tasaka wrote:
Hi,

Martin Stransky wrote, at 11/14/2007 10:59 PM +9:00:
So no more firefox-devel packages in rawhide, you should use
xulrunner-devel (gecko-libs == 1.9) now.

If you maintain any package what is built against gecko-libs (or
firefox-devel), please rebuild it with the xulrunner. The xulrunner-*.pc
pkg-config files are provided and you may add "--with-gecko=xulrunner"
directive to configure script.

As the name suggests, the xulrunner-1.9-0.alpha9.3.fc9 package is based
on the latest mozilla xulrunner trunk (a.k.a. Firefox 3 Alpha) so some
package may not compile with it (for instance epiphany) and we need to
fix all those errors before F9 GA...

I tried to rebuild kazehakase against xulrunner, however it failed
with complaint of many missing headers like:
----------------------------------------
In file included from kz-gecko-embed.cpp:37:
kz-mozwrapper.h:31:33: error: nsIDOMEventReceiver.h: No such file or directory
----------------------------------------
http://koji.fedoraproject.org/koji/taskinfo?taskID=241394

Are these header files supposed to be removed? If so I will
contact with upstream developer to look into latest xulrunner.

nsIDOMEvenReceiver was removed completely from upstream. https://bugzilla.mozilla.org/show_bug.cgi?id=363089

A good starting point to see if the header is still upstream is: http://lxr.mozilla.org/mozilla/find

Also, there will be some compilation failures due to incompatible changes that you may notice.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]